# Music (Broadcast Monitoring with Broadcast Database)

```bash
{
  "status": {
    "msg": "Success",
    "code": 0,
    "version": "1.0"
  },
  "result_type": 0,
  "metadata": {
    "type": "delay",
    "timestamp_utc": "2020-07-06 04:38:43",
    "played_duration": 73,
    "music": [
      {
        "album": {
          "name": "Wish"
        },
        "play_offset_ms": 154600,
        "sample_begin_time_offset_ms": 0,
        "lyrics": {
          "copyrights": [
            "Universal Music Publishing Group"
          ]
        },
        "contributors": {
          "composers": [
            "Perry Bamonte",
            "Porl Thompson",
            "Boris Williams",
            "Simon Gallup",
            "Robert Smith"
          ],
          "lyricists": [
            "Boris Williams",
            "Porl Thompson",
            "Perry Bamonte",
            "Robert James Smith",
            "Simon Johnathon Gallup"
          ]
        },
        "title": "Friday I'm In Love ( LP Version )",
        "result_from": 3,
        "release_date": "1992-04-07",
        "sample_end_time_offset_ms": 9120,
        "genres": [
          {
            "name": "Pop"
          }
        ],
        "label": "Elektra Records",
        "db_end_time_offset_ms": 154540,
        "score": 100,
        "db_begin_time_offset_ms": 145420,
        "artists": [
          {
            "name": "The Cure"
          }
        ],
        "duration_ms": 214400,
        "external_ids": {
          "isrc": [
            "USEE10180267",
            "USEE19200008",
            "GBALB9200002"
          ],
          "iswc": [
            "T0100954037"
          ],
          "upc": [
            "075596130967",
            "075596211765",
            "00731451326127"
          ]
        },
        "acrid": "4b10ecaa3dbcc60e9f7924919722e133",
        "external_metadata": {
          "musicbrainz": [
            {
              "track": {
                "id": "59294de3-aaff-4d2d-bdc4-cbfe91de892e"
              }
            }
          ],
          "spotify": [
            {
              "album": {
                "name": "Wish",
                "id": "6tCOXpiN1FvDBl0eT6WtG3"
              },
              "track": {
                "name": "Friday I'm In Love",
                "id": "20CNpCKq1oTdvekXaboyeq"
              },
              "artists": [
                {
                  "name": "The Cure",
                  "id": "7bu3H8JO7d0UbMoVzbo70s"
                }
              ]
            }
          ],
          "deezer": [
            {
              "album": {
                "name": "Wish",
                "id": "1344846"
              },
              "track": {
                "name": "Friday I'm In Love ( LP Version )",
                "id": "14611440"
              },
              "artists": [
                {
                  "name": "The Cure",
                  "id": "381"
                }
              ]
            }
          ],
          "youtube": [
            {
              "vid": "mGgMZpGYiy8"
            }
          ]
        }
      }
    ],
    "record_timestamp": "20200706043843"
  }
}
```

### Metadata fields

| Name                              | Description                                                                                        |
| --------------------------------- | -------------------------------------------------------------------------------------------------- |
| music                             | Music fields                                                                                       |
| acrid                             | ACRCloud unique identifier                                                                         |
| timestamp\_utc                    | Server time of sending results, Timestamp of the song started for custom monitoring, UTC time zone |
| title                             | Track title                                                                                        |
| album                             | Album fields                                                                                       |
| id                                | Identifier of the artists , album or 3rd parties fields                                            |
| name                              | Name of the artists or album                                                                       |
| artists                           | Artists fields                                                                                     |
| duration\_ms                      | Duration of the track in millisecond                                                               |
| play\_offset\_ms                  | The time position of the audio/song being played (millisecond)                                     |
| external\_ids                     | External standard code                                                                             |
| isrc                              | ISRC code                                                                                          |
| upc                               | UPC code                                                                                           |
| external\_metadata                | External 3rd party IDs and metadata                                                                |
| track                             | Track fields                                                                                       |
| genres                            | Genres fields                                                                                      |
| label                             | Music label name                                                                                   |
| release\_date                     | Release data of the track, format:YYYY-MM-DD                                                       |
| spotify                           | Spotify fields                                                                                     |
| deezer                            | Deezer fields                                                                                      |
| lyricfind                         | LyricFind fields                                                                                   |
| lfid                              | LyricsFind's lyric ID                                                                              |
| youtube                           | YouTube fields                                                                                     |
| vid                               | Youtube video ID                                                                                   |
| musicbrainz                       | MusicBrainz Identifier - MBID                                                                      |
| iswc                              | ISWC - International Standard Musical Work Code                                                    |
| \*db\_begin\_time\_offset\_ms     | Position of beginning of the recognition on database file (millisecond)                            |
| \*db\_end\_time\_offset\_ms       | Position of end of the recognition on database file (millisecond)                                  |
| \*sample\_begin\_time\_offset\_ms | Position of beginning of the recognition in sample file sent by SDK/API (millisecond)              |
| \*sample\_end\_time\_offset\_ms   | Position of end of the recognition in sample file sent by SDK/API (millisecond)                    |
| \*played\_duration                | Actual duration of the track played in the streams for Broadcast Monitoring service, in second     |
| score                             | Match confidence score. Range: 70 - 100                                                            |
| lyrics                            | Lyrics related metadata                                                                            |
| +copyrights                       | Publishers or copyright organizations for lyrics                                                   |
| +contributors                     | Contributor information for this track                                                             |
| +composers                        | Composers of the song                                                                              |
| +lyricists                        | Writers of the lyrics                                                                              |
| language                          | Language of the song, ISO 639-1 codes                                                              |
| +work                             | Publishing metadata fields for works                                                               |
| +ISWC                             | ISWC code                                                                                          |
| +name                             | Name of the work                                                                                   |
| +creators                         | The creator of the work                                                                            |
| +ipi                              | IPI code for the party                                                                             |

{% hint style="info" %}
**Please note: Only&#x20;*****ACRID,*** ***Track Title, Artists Name*****&#x20;and&#x20;*****Album Name*****&#x20;fields are required, other fields are optional.**

\* fields are visible in Broadcast Monitoring service only, if you want to use these fields in recognition service, please contact us.\
\
+fields are visible upon request, please contact us if you need those fields.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/reference/console-api/bm-projects/metadata/music-broadcast-monitoring-with-broadcast-database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
